Show / Hide Table of Contents

# Class ProxyAuthenticationContext

A context container for authentication flows

##### Inheritance

Object
ProxyAuthenticationContext

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ProxyAuthenticationContext

### Properties

| Improve this Doc View Source

#### Continuation

An optional continuation token to return to the caller if set

##### Declaration

    public string Continuation { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Result

The result of the current authentication request

##### Declaration

    public ProxyAuthenticationResult Result { get; set; }

##### Property Value

Type | Description
--- | ---
ProxyAuthenticationResult |

### Methods

| Improve this Doc View Source

#### Failed()

##### Declaration

    public static ProxyAuthenticationContext Failed()

##### Returns

Type | Description
--- | ---
ProxyAuthenticationContext |

| Improve this Doc View Source

#### Succeeded()

##### Declaration

    public static ProxyAuthenticationContext Succeeded()

##### Returns

Type | Description
--- | ---
ProxyAuthenticationContext |